vcpkg中libwebsockets(v3.1.0)的socks5代理支持问题

Harr C/C++, Tips 20 次浏览 , , 没有评论

源码是支持socks5代理的,但是有个编译选项-DLWS_WITH_SOCKS5,而vcpkg的编译脚本中没有打开这一选项,可能是vcpkg做适配时libwebsockets的这个功能还没有稳定,所以没放进去。但最近做的项目中需要用到这个功能,与手动修改vcpkg的编译配置。

文件位于${vcpkg}/ports/libwebsockets/portfile.cmake,在#24行下面加入

-DLWS_WITH_SOCKS5=ON

即可。

发表评论

电子邮件地址不会被公开。 必填项已用*标注

Go